// import { request, config, formatUrl } from '@/utils/request'
import { request3, config2, formatUrl } from '@/utils/axios'

// /**
//  * 通过ticket查询用户实名信息
//  */
 export function querySfbUserInfo(data) {
  return request3({
    url: `${config2.baseUrl}app-api/user/querySfbUserInfo${formatUrl(data)}`,
    method: 'post',
    data: data
  })
}

/**
 * 上传照片文件
 * @param {Object} data
 */
 export function uploadFile(data) {
  return request3({
      // headers: { 
      //     "Content-Type": "multipart/form-data",
      //     "Authorization": "Bearer " + sessionStorage.getItem("token") 
      // },
      url: `${config2.baseUrl}app-api/file/uploadTalent`,
      method: 'post',
      data: data
  })
}

/**
 * 查询类型
 * @param {Object} data
 */
export function getType(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/getType`,
    method: 'get',
    params: data
  })
}

/**
 * 查询类型
 * @param {Object} data
 */
export function getCategory(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/getCategory`,
    method: 'post',
    data: data
  })
}

/**
 * 行为统计1
 * @param {Object} data
 */
 export function addBehavior(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/addBehavior`,
    method: 'post',
    data: data
  })
}

/**
 * 行为统计2
 * @param {Object} data
 */
 export function addAccumulationFundScan(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/addAccumulationFundScan`,
    method: 'post',
    data: data
  })
}

/**
 * 查询用户实名信息
 */
 export function queryUser(data) {
  return request3({
    url: `${config2.baseUrl}app-api/user/queryUser`,
    method: 'post',
    data: data
  })
}

/**
 * 查询内容
 * @param {Object} data
 */
export function getContent(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/getContent`,
    method: 'post',
    data: data
  })
}

/**
 * 查询详情
 */
export function get(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/get`,
    method: 'post',
    data: data
  })
}
/**
 * 根据二维码查询详情
 */
export function getCodeDetails(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/getCodeDetails`,
    method: 'post',
    data: data
  })
}

/**
 * 提交/保存
 */
export function add(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/add`,
    method: 'post',
    data: data
  })
}

/**
 * 修改提交/保存
 */
export function update(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/update`,
    method: 'post',
    data: data
  })
}

/**
 * 删除
 */
export function del(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/delete`,
    method: 'post',
    data: data
  })
}

/**
 * 修改状态
 */
export function updateState(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/updateState`,
    method: 'post',
    data: data
  })
}

/**
 * 公式名单
 */
export function getList(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/getList`,
    method: 'post',
    data: data
  })
}

/**
 * 查询人才名单
 */
export function getPersonnel(data) {
  return request3({
    url: `${config2.baseUrl}app-api/talent/getPersonnel`,
    method: 'post',
    data: data
  })
}

/**
 * 查询权限
 */
 export function userScanPermission(data) {
  return request3({
    url: `${config2.baseUrl}app-api/admin/userScanPermission${formatUrl(data)}`,
    method: 'post',
    data: data
  })
}